Bug 23780 - perl segfaults testing XML::Writer from CPAN
perl segfaults testing XML::Writer from CPAN
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-11 03:28 EST by j. alan eldridge
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-28 02:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-01-11 03:28:41 EST
What follows is a transcript of the CPAN build. I will note up front,
though, that perl-5.7.0, compiled with RH's gcc 2.96 (latest patch) does
handle this module without error. I haven't got my own build of 5.6.0 at
the moment to test against. sorry.


Going to read /system/software/cpan/sources/modules/03modlist.data.gz
Running make for D/DM/DMEGG/XML-Writer-0.4.tar.gz
CPAN: Net::FTP loaded ok
Fetching with Net::FTP:
  ftp://ftp.cpan.org/CPAN/authors/id/D/DM/DMEGG/XML-Writer-0.4.tar.gz
CPAN: MD5 loaded ok
Fetching with Net::FTP:
  ftp://ftp.cpan.org/CPAN/authors/id/D/DM/DMEGG/CHECKSUMS
Checksum for
/system/software/cpan/sources/authors/id/D/DM/DMEGG/XML-Writer-0.4.tar.gz
ok
XML-Writer-0.4/
XML-Writer-0.4/Writer.pm
XML-Writer-0.4/Makefile.PL
XML-Writer-0.4/Changes
XML-Writer-0.4/test.pl
XML-Writer-0.4/README
XML-Writer-0.4/MANIFEST

  CPAN.pm: Going to build D/DM/DMEGG/XML-Writer-0.4.tar.gz

[ lots of stuff elided ... here we are in the tests section ]

ok 31
ok 32
ok 33
ok 34
ok 35
ok 36
ok 37
ok 38
ok 39
Attempt to free unreferenced scalar at test.pl line 513.
make: *** [test_dynamic] Segmentation fault (core dumped)
  /usr/bin/make test -- NOT OK
Running make install
  make test had returned bad status, won't install without force

cpan>
Comment 1 j. alan eldridge 2001-01-11 11:32:46 EST
built a local copy of perl-5.6.0 using gcc-2.96-69. It faults there, too. So the
problem is either in perl-5.6.0 or in gcc-2.96-69. Will test using gcc-2.95.2
and followup with result.
Comment 2 Chip Turner 2001-12-19 03:47:40 EST
did it ever work with a different compiler?

Note You need to log in before you can comment on or make changes to this bug.